abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 15:22 | Zajímavý článek

Nová čísla časopisů od nakladatelství Raspberry Pi: MagPi 100 (pdf), HackSpace 37 (pdf) a Wireframe 44 (pdf). Vydán byl také dvousetstránkový The Official Raspberry Pi Handbook 2021 (pdf).

Ladislav Hagara | Komentářů: 0
dnes 14:55 | Nová verze

Byla vydána nová verze 2.13 proprietárního multiplatformního 3D enginu UNIGINE (Wikipedie) pro tvorbu počítačových her, simulátorů, systémů virtuální reality nebo i benchmarků. Přehled novinek na YouTube a v příspěvku na blogu.

Ladislav Hagara | Komentářů: 0
dnes 09:00 | Nová verze

Armbian, tj. operační systém založený na Debianu a Ubuntu pro jednodeskové počítače na platformě ARM, byl vydán ve verzi 20.11. Její kódové jméno je Tamandua. Pro většinu desek byl Linux povýšen na verzi 5.9.y. U-Boot na verzi 2020.10.

Ladislav Hagara | Komentářů: 0
dnes 08:00 | Nová verze

Desktopové prostředí Cinnamon má novou verzi 4.8. Změny jsou především inkrementální, např. různé opravy chování appletů v panelu, ale také aktualizace závislosti na mozjs (nyní aspoň 78), kvůli které jinak hrozilo odstranění balíčků z Debianu.

Fluttershy, yay! | Komentářů: 3
včera 20:22 | Nová verze

Po téměř čtyřech měsících vývoje od vydání verze 246 byla vydána nová verze 247 správce systému a služeb systemd (GitHub, NEWS).

Ladislav Hagara | Komentářů: 7
včera 17:55 | Nová verze

Byla vydána verze 6.3 open source virtualizační platformy Proxmox VE (Proxmox Virtual Environment, Wikipedie) založené na Debianu. Přehled novinek v poznámkách k vydání a v informačním videu. Zdůraznit lze integraci s Proxmox Backup Serverem.

Ladislav Hagara | Komentářů: 4
včera 17:33 | Nová verze

Po pěti letech od vydání verze 7.0.0 byla vydána nová major verze 8.0.0 skriptovacího jazyka PHP používaného zejména k vývoji dynamických webových stránek. Nejnovější větev PHP přináší celou řadu nových novinek a vylepšení. Vydána byla také příručka pro přechod z předchozích verzí.

Ladislav Hagara | Komentářů: 3
včera 13:33 | Nová verze

Björn Ståhl vydal novou verzi 0.6 svého vlastního display serveru, herní enginu a realtimového multimediálního frameworku v jednom s názvem Arcan a desktopového prostředí pro Arcan s názvem Durden. Přidána byla celá řada nových vlastností. Jejich představení na YouTube.

Ladislav Hagara | Komentářů: 3
včera 07:00 | Nová verze

Byla vydána nová verze 28.16.0 webového prohlížeče Pale Moon (Wikipedie) vycházejícího z Firefoxu. Přehled novinek v poznámkách k vydání. Řešeno je také několik bezpečnostních chyb.

Ladislav Hagara | Komentářů: 9
včera 01:11 | Nová verze

Byla vydána nová stabilní verze 2.91 svobodného 3D softwaru Blender. Přehled novinek v oznámení o vydání a na YouTube.

Ladislav Hagara | Komentářů: 0
Jak nakládáte s řetězovými e-maily?
 (6%)
 (41%)
 (3%)
 (2%)
 (3%)
 (9%)
 (57%)
Celkem 297 hlasů
 Komentářů: 8, poslední 16.11. 22:50
Rozcestník

Dotaz: ADLS SpeedTouch USB

25.8.2004 12:22 Wally
ADLS SpeedTouch USB
Přečteno: 150×
OS : Mandrake 10 stáhnul jsem si driver z : http://speedtouch.sourceforge.net/index.php?/download.en.html zkompiloval a nainstaloval (to proběhlo bez problému)

poté jsem si v /etc/ppp/peers/adsl nastavil : noipdefault defaultroute pty "/usr/sbin/pppoa2 -vpi 8 -vci 48" sync user ---muj login--- noauth noaccomp nopcomp noccp novj holdoff 4 persist maxfail 25 usepeerdns ale nevím kam mám uložit heslo ...?

sehnal jsem si soubor alcaudsl.sys a pokusil se spustit modem modem_run -v 1 -s -f /cesta/k/alcaudsl.sys - nic to nenapsalo nakonec jsem dal pppd call adsl a zkusil přes mozillu jestli se něco načte - zase nic prosím nevěděl by někdo co stím ? Postupoval jsem podle návodu ale nevím co je špatně. Děkuji

Odpovědi

18.9.2004 03:01 Ales
Rozbalit Rozbalit vše Re: ADLS SpeedTouch USB
Hmm, tenhle problem znam :O( nedokazal jsem ho rozchodit pod 10 kvuli jadru 2.6 takze jsem musel zpet na 9.2 tam funguje skvele navod publikovany na www.mandrake.sk najdes po vyhledani ADSL (presne si to nepamatuju) .. pak chodu jak z praku ale rikam jadro 2.4
elviin avatar 18.9.2004 10:04 elviin | skóre: 29 | blog: elviin | Plzeň-Praha
Rozbalit Rozbalit vše Re: ADLS SpeedTouch USB
Debian, 2.6.8. Na strankach http://christophe.delord.free.fr/en/adsl/redhat.html#s2 je howto. Mozna ti to pomuze:

soubor:
/etc/ppp/peers/speedtch 

lcp-echo-interval 10
lcp-echo-failure 3
noipdefault
defaultroute
user 444555666
noauth
noaccomp
nopcomp
noccp
novj
holdoff 4
persist
maxfail 25
updetach
usepeerdns
plugin pppoatm.so
8.48
Jadro 2.6.8-5:
#>grep speedtouch -i .config
CONFIG_USB_SPEEDTOUCH=m
Adresar /etc/hotplug/usb:
#>ls /etc/hotplug/usb
speedtouch
Obsah souboru speedtouch:
#!/bin/sh -e

PATH=/sbin:/bin:/usr/sbin:/usr/bin
export PATH

# Add here the command line options for modem_run.
# -k will be automatically added later if needed.
MODEM_RUN_OPTIONS=""
# firmware loader
FIRMWARE_LOADER_FILE="/usr/share/speedtouch/boot.v123.bin"
# modem firmware
FIRMWARE_FILE="/usr/local/lib/speedtouch/firmware.bin"
# a PPP peer to call
PPPD_PEER="speedtch"
# an interface to start with ifup
NET_IF=""

# you can use this file to change the default configuration
[ -f /etc/default/speedtouch ] && . /etc/default/speedtouch

##############################################################################
if [ ! -e "$FIRMWARE_FILE" ]; then
  echo "Cannot find $FIRMWARE_FILE."
  exit 1
fi

if [ ! -e "$FIRMWARE_LOADER_FILE" ]; then
  echo "Cannot find $FIRMWARE_LOADER_FILE"
  exit 1
fi

if [ ! -f /proc/bus/usb/devices ]; then
  if ! mount -t usbdevfs none /proc/bus/usb 2> /dev/null; then
    echo "Cannot mount the USB device filesystem."
    exit 1
  fi
fi

# use -k if we are using the kernel space driver
if grep -q -E '^I:.*Driver=speedtch$' /proc/bus/usb/devices; then
  MODEM_RUN_OPTIONS="$MODEM_RUN_OPTIONS -k"
fi

if [ "$FIRMWARE_LOADER_FILE" ]; then
  MODEM_RUN_OPTIONS="$MODEM_RUN_OPTIONS -a $FIRMWARE_LOADER_FILE"
fi

MODEM_RUN_OPTIONS="$MODEM_RUN_OPTIONS -f $FIRMWARE_FILE"

##############################################################################
load_firmware() {
  if ! modem_run $MODEM_RUN_OPTIONS; then
    echo "Cannot initialize the modem."
    # exit 1
  fi
  return 0
}

start_networking() {
  if [ "$PPPD_PEER" ]; then
    sleep 5 
    pppd call $PPPD_PEER
  fi
  if [ "$NET_IF" ]; then
    sleep 5
    ifup $NET_IF
  fi
  return 0
}

# This is needed to work around a bug of modem_run not noticing that
# the modem has been unplugged. See #218795 for details.
setup_remover() {
  [ "$REMOVER" ] || return 0
  {
  echo "#!/bin/sh"
  [ "$PPPD_PEER" ] && printf "poff $PPPD_PEER\nsleep 5\n"
  echo "killall modem_run"
  } >> $REMOVER
  chmod +x $REMOVER
  return 0
}

##############################################################################
case "$ACTION" in
    add)
	load_firmware
	start_networking
	setup_remover
    ;;
esac

  vnstat -r --enable -i ppp0
exit 0

Stahni si zip KQD6_R204.zip:
KQD6P1.eni  KQD6P2.eni 
Vetsi soubor je firmware. Viz soubor speedtouch.

Na konci souboru /etc/ppp/chap-secrets je:
login       *       heslo

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.